﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.JustMock;

namespace BusinessObject001
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod()]
        public void GetPersonTest()
        {
            //Arrange
            Person tom = new Person() { ID = 7, name = "Tom", age = 34, isMale = true };
            Mock.SetupStatic<PersonManager>(Behavior.Strict);
            Mock.Arrange(() => PersonManager.GetPerson(7)).Returns(tom);

            //Act + Assert
            Assert.AreEqual(PersonManager.GetPerson(7), tom);
        }
    
    }
}